Apache Ambari Views
Also available as:
loading table of contents...

Requirements for Hue-to-Views Migration


  • Hue service must have a network connection to an Ambari Server serving the Hue-to-Views migration tool

  • Install a standalone Ambari Server v2.5. Ambari Server must be enabled as a views server

  • Hue database types supported:

    • mysql

    • oracle

    • postgresql

    Access rights must be granted to the Hue back-end database.

  • In Ambari, create all users in Ambari equivalent to Hue users for each view.

    Grant permission for each view user to use their respective views. Each view user must log in to that view, before migrating artifacts.

Supported Artifacts, Versions, and Expectations

The Hue-to-Views migration tool supports migrating the following artifacts:


  • Saved Queries

  • Query History

  • User-defined function (UDF) and JAR artifacts


  • Saved scripts

  • Pig Jobs

  • User-defined function (UDF) and JAR artifacts


Ambari 2.5.x supports migrating Hue version 2.6.1 artifacts into Ambari 2.5.x


  • The Hue-to-Views Migration tool does not validate scripts.

    Scripts maintain the same status in the Ambari Views Framework as they had in Hue.

  • The Hue-to-Views migration tool does not support high availability (HA).

    You must provide the current, active namenode for the target cluster regarding the Webhdfs URI for Ambari.

  • Some hive queries, such as mysql version 0.4.0, may fail to migrate, and cause the Hue-to-Views migration to stop.

  • Hue-to-Views migrations must be done on a single cluster. Both Hue and Views must point to the same cluster.